Bug 492298 - (staff_u) SELinux is preventing gnome-phone-man (staff_t) "setopt" staff_t.
(staff_u) SELinux is preventing gnome-phone-man (staff_t) "setopt" staff_t.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-phone-manager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 07:33 EDT by Matěj Cepl
Modified: 2009-12-18 04:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:07:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-03-26 07:33:28 EDT
Souhrn:

SELinux is preventing gnome-phone-man (staff_t) "setopt" staff_t.

Podrobný popis:

[SELinux je v uvolněném režimu, operace by byla odmítnuta, ale byla povolena
kvůli uvolněnému režimu.]

SELinux denied access requested by gnome-phone-man. It is not expected that this
access is required by gnome-phone-man and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Další informace:

Kontext zdroje                staff_u:staff_r:staff_t:s0-s0:c0.c1023
Kontext cíle                 staff_u:staff_r:staff_t:s0-s0:c0.c1023
Objekty cíle                 None [ socket ]
Zdroj                         gnome-phone-man
Cesta zdroje                  /usr/bin/gnome-phone-manager
Port                          <Neznámé>
Počítač                    viklef.ceplovi.cz
RPM balíčky zdroje          gnome-phone-manager-0.60-3.fc10
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.5.13-49.fc10
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            viklef.ceplovi.cz
Platforma                     Linux viklef.ceplovi.cz 2.6.29-3.fc10.x86_64 #1
                              SMP Tue Mar 24 01:38:46 EDT 2009 x86_64 x86_64
Počet upozornění           1
Poprvé viděno               Čt 26. březen 2009, 12:06:09 CET
Naposledy viděno             Čt 26. březen 2009, 12:06:09 CET
Místní ID                   a45ff7ff-8811-4049-aa3f-d9f2cec31892
Čísla řádků              

Původní zprávy auditu      

node=viklef.ceplovi.cz type=AVC msg=audit(1238065569.676:577): avc:  denied  { setopt } for  pid=15435 comm="gnome-phone-man" scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=socket

node=viklef.ceplovi.cz type=SYSCALL msg=audit(1238065569.676:577): arch=c000003e syscall=54 success=yes exit=0 a0=18 a1=0 a2=2 a3=7fff5a1bd1e0 items=0 ppid=1 pid=15435 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=6 comm="gnome-phone-man" exe="/usr/bin/gnome-phone-manager" subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
Comment 1 Matěj Cepl 2009-03-26 07:53:12 EDT
There's more of them:

[root@viklef tmp]# ausearch -m AVC |grep gnome-phone
type=SYSCALL msg=audit(1238065569.676:576): arch=c000003e syscall=49 success=yes exit=0 a0=18 a1=7fff5a1bd1b0 a2=4 a3=7fff5a1bcf30 items=0 ppid=1 pid=15435 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=6 comm="gnome-phone-man" exe="/usr/bin/gnome-phone-manager" subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1238065569.676:576): avc:  denied  { bind } for  pid=15435 comm="gnome-phone-man" scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=socket
type=SYSCALL msg=audit(1238065569.676:577): arch=c000003e syscall=54 success=yes exit=0 a0=18 a1=0 a2=2 a3=7fff5a1bd1e0 items=0 ppid=1 pid=15435 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=6 comm="gnome-phone-man" exe="/usr/bin/gnome-phone-manager" subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1238065569.676:577): avc:  denied  { setopt } for  pid=15435 comm="gnome-phone-man" scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=socket
type=SYSCALL msg=audit(1238065569.677:578): arch=c000003e syscall=16 success=yes exit=0 a0=19 a1=800448d3 a2=7fff5a1bd1f0 a3=7fff5a1bcf40 items=0 ppid=1 pid=15435 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=6 comm="gnome-phone-man" exe="/usr/bin/gnome-phone-manager" subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1238065569.677:578): avc:  denied  { read } for  pid=15435 comm="gnome-phone-man" path="socket:[3520162]" dev=sockfs ino=3520162 scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=socket
type=SYSCALL msg=audit(1238065571.410:579): arch=c000003e syscall=42 success=no exit=-112 a0=19 a1=7f864b547e10 a2=c a3=7f864b547b10 items=0 ppid=1 pid=15459 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=6 comm="gnome-phone-man" exe="/usr/bin/gnome-phone-manager" subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1238065571.410:579): avc:  denied  { connect } for  pid=15459 comm="gnome-phone-man" scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=socket
type=SYSCALL msg=audit(1238065599.438:581): arch=c000003e syscall=0 success=yes exit=14 a0=18 a1=1750588 a2=104 a3=0 items=0 ppid=1 pid=15435 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=6 comm="gnome-phone-man" exe="/usr/bin/gnome-phone-manager" subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1238065599.438:581): avc:  denied  { read } for  pid=15435 comm="gnome-phone-man" path="socket:[3520161]" dev=sockfs ino=3520161 scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=socket
type=SYSCALL msg=audit(1238066606.069:582): arch=c000003e syscall=0 success=no exit=-11 a0=18 a1=1750588 a2=104 a3=0 items=0 ppid=1 pid=15435 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=6 comm="gnome-phone-man" exe="/usr/bin/gnome-phone-manager" subj=staff_u:staff_r:staff_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1238066606.069:582): avc:  denied  { read } for  pid=15435 comm="gnome-phone-man" path="socket:[3520161]" dev=sockfs ino=3520161 scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tclass=socket
Comment 2 Matěj Cepl 2009-03-26 07:56:01 EDT
audit2allow suggests

#============= staff_t ==============
allow staff_t self:socket { read bind setopt connect };

which I don't think is a good idea.
Comment 3 Bug Zapper 2009-11-18 06:36:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:07:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.